Set a ticket's category
curl --request POST \
--url https://back.leap.onclarity.com/api/ticket/category_set \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ticket_id": 123,
"category_id": 123
}
'import requests
url = "https://back.leap.onclarity.com/api/ticket/category_set"
payload = {
"ticket_id": 123,
"category_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ticket_id: 123, category_id: 123})
};
fetch('https://back.leap.onclarity.com/api/ticket/category_set', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"internal_id": "<string>"
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Tickets
Set a ticket's category
POST
/
api
/
ticket
/
category_set
Set a ticket's category
curl --request POST \
--url https://back.leap.onclarity.com/api/ticket/category_set \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ticket_id": 123,
"category_id": 123
}
'import requests
url = "https://back.leap.onclarity.com/api/ticket/category_set"
payload = {
"ticket_id": 123,
"category_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ticket_id: 123, category_id: 123})
};
fetch('https://back.leap.onclarity.com/api/ticket/category_set', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"internal_id": "<string>"
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.